<?php

require_once('Controle.php');
require_once('CreerUtilisateurLogique.php');

class CreerUtilisateurControle extends Controle {
  public $page= "formulaireUtilisateur.php";

  function executer() {
    global $vue;
    // a) tester les droits
    if ($this->testerAdministrateurEtRediriger()) {
      // Regarder si on a dj affich le formulaire
      if (! isset($_POST['login'])) {
	// Premier affichage
	$vue['login']= "";
	$vue['password']= "";
	$vue['signature']= "";
      } else {
	// Affichage ultrieur, avec ventuellement cration :
	$montrerFormulaire= true;
	// On teste si le formulaire est complet...
	if (! empty($_POST['login']) && ! empty($_POST['password'])) {
	  $logique= new CreerUtilisateurLogique();
	  $logique->creerUtilisateur($_POST['login'], $_POST['password'], $_POST['signature']);
	  if ($logique->succes) {
	    $aff="Utilisateur " . $logique->id_utilisateur . " cr";
	    ajouteMessage($aff);
	    $montrerFormulaire= false;
	    $this->redirect= "index.php";
	  } else {
	    ajouteMessage($logique->messageErreur);
	  }
	} else {
	  ajouteMessage("dfinissez imprativement le login et le mot de passe du nouvel utilisateur");
	}
	// Prpare le r-affichage du formulaire.
	if ($montrerFormulaire) {
	  $vue['login']= $_POST['login'];
	  $vue['password']= $_POST['password'];
	  $vue['signature']= $_POST['signature'];
	}
      }
    }
  }
}
?>
